WPSStringStreamPrivate Class Reference documentation

Public Member Functions | Public Attributes | Private Member Functions | List of all members
WPSStringStreamPrivate Class Reference

internal data of a WPSStringStream More...

## Public Member Functions
| WPSStringStreamPrivate (const unsigned char *data, unsigned dataSize)
| constructor More...
| ~WPSStringStreamPrivate ()
| destructor More...
void | append (const unsigned char *data, unsigned dataSize)
| append some data at the end of the actual stream More...

## Public Attributes
std::vector< unsigned char > | m_buffer
| the stream buffer More...
long | m_offset
| the stream offset More...

## Private Member Functions
| WPSStringStreamPrivate (const WPSStringStreamPrivate &)=delete
WPSStringStreamPrivate & | operator= (const WPSStringStreamPrivate &)=delete

## Detailed Description

internal data of a WPSStringStream

## Constructor & Destructor Documentation

## ◆ WPSStringStreamPrivate() [1/2]

WPSStringStreamPrivate::WPSStringStreamPrivate | ( | const unsigned char * | data,
|  | unsigned | dataSize
| ) |  |

constructor

## ◆ ~WPSStringStreamPrivate()

WPSStringStreamPrivate::~WPSStringStreamPrivate | ( |  | ) |

destructor

## ◆ WPSStringStreamPrivate() [2/2]

WPSStringStreamPrivate::WPSStringStreamPrivate | ( | const WPSStringStreamPrivate & |  | ) |
| privatedelete

## Member Function Documentation

## ◆ append()

void WPSStringStreamPrivate::append | ( | const unsigned char * | data,
|  | unsigned | dataSize
| ) |  |

append some data at the end of the actual stream

## ◆ operator=()

WPSStringStreamPrivate& WPSStringStreamPrivate::operator= | ( | const WPSStringStreamPrivate & |  | ) |
| privatedelete

## Member Data Documentation

## ◆ m_buffer

std::vector<unsigned char> WPSStringStreamPrivate::m_buffer

the stream buffer

Referenced by append(), and WPSStringStreamPrivate().

## ◆ m_offset

long WPSStringStreamPrivate::m_offset

the stream offset

The documentation for this class was generated from the following file:

- WPSStringStream.cpp